Bug 425333 - no pre-defined account templates on a mac
Summary: no pre-defined account templates on a mac
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 5.1.0
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: Dawid Wróbel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-14 06:36 UTC by Sam
Modified: 2021-06-29 06:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam 2020-08-14 06:36:56 UTC
SUMMARY


STEPS TO REPRODUCE
1. install latest stable version on mac catalina
2. go to import > account templates
3. 

OBSERVED RESULT

no accounts are shown in the list
EXPECTED RESULT
list of accounts grouped by country

SOFTWARE/OS VERSIONS
Windows: 
macOS: catalina
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Dawid Wróbel 2020-12-25 21:46:27 UTC
Git commit 70639837532640aea80027bcd81e0e5fa9ab315c by Dawid Wróbel.
Committed on 25/12/2020 at 21:46.
Pushed by wrobelda into branch '33-use-qt-resource-system-for-all-the-extra-files-we-ship'.

Load templates from resources

M  +1    -0    .gitignore
M  +21   -12   kmymoney/templates/CMakeLists.txt
M  +1    -16   kmymoney/templates/templateloader.cpp

https://invent.kde.org/office/kmymoney/commit/70639837532640aea80027bcd81e0e5fa9ab315c
Comment 2 Dawid Wróbel 2020-12-25 22:28:33 UTC
Git commit c88095228146df43e58f228b70948ad9b7407d5a by Dawid Wróbel.
Committed on 25/12/2020 at 22:23.
Pushed by wrobelda into branch '33-use-qt-resource-system-for-all-the-extra-files-we-ship'.

Load templates from resources

M  +1    -0    .gitignore
M  +21   -12   kmymoney/templates/CMakeLists.txt
M  +1    -16   kmymoney/templates/templateloader.cpp

https://invent.kde.org/office/kmymoney/commit/c88095228146df43e58f228b70948ad9b7407d5a
Comment 3 Dawid Wróbel 2021-04-28 00:18:11 UTC
Git commit 8b0e1b0fe99ea10904831af67fc95e4104777ed7 by Dawid Wrobel, on behalf of Dawid Wróbel.
Committed on 28/04/2021 at 00:08.
Pushed by wrobelda into branch 'master'.

Load templates from resources

M  +1    -0    .gitignore
M  +21   -12   kmymoney/templates/CMakeLists.txt
M  +1    -17   kmymoney/templates/templateloader.cpp

https://invent.kde.org/office/kmymoney/commit/8b0e1b0fe99ea10904831af67fc95e4104777ed7
Comment 4 Dawid Wróbel 2021-06-29 06:51:31 UTC
This was fixed in master branch only, 5.1.2 still has this issue.
Comment 5 Dawid Wróbel 2021-06-29 06:55:42 UTC
Git commit 0749abe34f5dbf562ef19550013bd73871195ce4 by Dawid Wróbel.
Committed on 29/06/2021 at 06:55.
Pushed by wrobelda into branch '5.1'.

Fix loading account templates on macOS
FIXED-IN: 5.1.3

M  +11   -0    kmymoney/widgets/kaccounttemplateselector.cpp

https://invent.kde.org/office/kmymoney/commit/0749abe34f5dbf562ef19550013bd73871195ce4